[arch-commits] Commit in squid/trunk (PKGBUILD)

Kevin Piche kevin at archlinux.org
Tue May 20 20:13:32 EDT 2008


    Date: Tuesday, May 20, 2008 @ 20:13:32
  Author: kevin
Revision: 1817

upgpkg: squid 2.6.STABLE20-1

Modified:
  squid/trunk/PKGBUILD

----------+
 PKGBUILD |   32 ++++++++++++++++----------------
 1 file changed, 16 insertions(+), 16 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-05-20 23:01:13 UTC (rev 1816)
+++ PKGBUILD	2008-05-21 00:13:32 UTC (rev 1817)
@@ -3,7 +3,7 @@
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 
 pkgname=squid
-pkgver=2.6.STABLE19
+pkgver=2.6.STABLE20
 pkgrel=1
 pkgdesc="A full-featured Web proxy cache server."
 arch=(i686 x86_64)
@@ -12,15 +12,15 @@
 license=('GPL')
 backup=(etc/squid/squid.conf etc/squid/mime.conf etc/conf.d/squid)
 install=$pkgname.install
-source=(http://www.squid-cache.org/Versions/v2/2.6/$pkgname-$pkgver.tar.bz2 \
-        squid-makefiles.patch squid squid.conf.d squid.pam \
+source=(http://www.squid-cache.org/Versions/v2/2.6/${pkgname}-${pkgver}.tar.bz2
+        squid-makefiles.patch squid squid.conf.d squid.pam
         squid.cron)
-md5sums=('e1f355ab907369903b5e28aff0fe8386' '935309e73d2a9c34cf9871cf1ff2f893'
+md5sums=('6e1d87e9ae47f825c814a954a6febc36' '935309e73d2a9c34cf9871cf1ff2f893'
          'd213b0cc1db72b749bb8c88716fdab39' '81f9a446d143f42c6a3f30304e91c39f'
          '270977cdd9b47ef44c0c427ab9034777' 'f47bb20c7be3089d78e6d2b491f7923b')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd ${startdir}/src/${pkgname}-${pkgver}
   /usr/bin/patch -Np1 -i ../squid-makefiles.patch
 
   ./configure --prefix=/usr --datadir=/usr/share/squid \
@@ -41,16 +41,16 @@
 #      --enable-async-io --enable-arp-acl \
 
   /usr/bin/make || return 1
-  /usr/bin/make DESTDIR=$startdir/pkg install || return 1
-  /bin/rm -rf $startdir/pkg/var
-  /bin/mv $startdir/pkg/usr/bin/Run* $startdir/pkg/usr/lib/squid
-  /bin/mkdir -p $startdir/pkg/var/cache/squid
-  /bin/mkdir -p $startdir/pkg/var/log/squid
-  /bin/install -D -m755 $startdir/src/squid $startdir/pkg/etc/rc.d/squid
-  /bin/install -D -m755 $startdir/src/squid.cron $startdir/pkg/etc/cron.weekly/squid
-  /bin/install -D -m644 $startdir/src/squid.conf.d $startdir/pkg/etc/conf.d/squid
-  /bin/install -D -m644 $startdir/src/squid.pam $startdir/pkg/etc/pam.d/squid
-  cp $startdir/pkg/etc/squid/squid.conf \
-     $startdir/pkg/etc/squid/squid.conf.default
+  /usr/bin/make DESTDIR=${startdir}/pkg install || return 1
+  /bin/rm -rf ${startdir}/pkg/var
+  /bin/mv ${startdir}/pkg/usr/bin/Run* ${startdir}/pkg/usr/lib/squid
+  /bin/mkdir -p ${startdir}/pkg/var/cache/squid
+  /bin/mkdir -p ${startdir}/pkg/var/log/squid
+  /bin/install -D -m755 ${startdir}/src/squid ${startdir}/pkg/etc/rc.d/squid
+  /bin/install -D -m755 ${startdir}/src/squid.cron ${startdir}/pkg/etc/cron.weekly/squid
+  /bin/install -D -m644 ${startdir}/src/squid.conf.d ${startdir}/pkg/etc/conf.d/squid
+  /bin/install -D -m644 ${startdir}/src/squid.pam ${startdir}/pkg/etc/pam.d/squid
+  cp ${startdir}/pkg/etc/squid/squid.conf \
+     ${startdir}/pkg/etc/squid/squid.conf.default
 }
 # vim: ts=2 sw=2 et ft=sh





More information about the arch-commits mailing list